com.pixelmed.dicom

## Class ColorPalettePET

- java.lang.Object
- - com.pixelmed.dicom.ColorPalette
  - - com.pixelmed.dicom.ColorPalettePET

-     public class ColorPalettePET
      extends ColorPalette

  Standard DICOM PET color palette.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static java.lang.String[]` | `alternateContentDescriptionStatic`
    `protected static java.lang.String[]` | `alternateContentLanguageCodeMeaningStatic`
    `protected static java.lang.String[]` | `alternateContentLanguageCodeValueStatic`
    `protected static byte[]` | `blueStaticArray`
    `protected static java.lang.String` | `contentCreatorNameStatic`
    `protected static java.lang.String` | `contentDescriptionStatic`
    `protected static java.lang.String` | `contentLabelStatic`
    `protected static byte[]` | `greenStaticArray`
    `protected static byte[]` | `redStaticArray`
    `protected static java.lang.String` | `referenceEncodedInstanceURLStatic`
    `protected static java.lang.String` | `sopInstanceUIDStatic`

    - ### Fields inherited from class com.pixelmed.dicom.ColorPalette

      `alternateContentDescription, alternateContentLanguageCodeMeaning, alternateContentLanguageCodeValue, blue, contentCreatorName, contentDescription, contentLabel, green, iccProfile, list, red, referenceEncodedInstanceURL, sopInstanceUID`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ColorPalettePET()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `main(java.lang.String[] arg)` Create a DICOM color palette storage instance from the palette characteristics.

    - ### Methods inherited from class com.pixelmed.dicom.ColorPalette

      `createDICOMInstance, getAttributeList, getContentDescription, getContentLabel, getICCProfile, getReferenceEncodedInstanceURL, getSOPInstanceUID, setICCProfileFromFile`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### sopInstanceUIDStatic

          protected static java.lang.String sopInstanceUIDStatic

    - #### contentLabelStatic

          protected static java.lang.String contentLabelStatic

    - #### contentDescriptionStatic

          protected static java.lang.String contentDescriptionStatic

    - #### contentCreatorNameStatic

          protected static java.lang.String contentCreatorNameStatic

    - #### referenceEncodedInstanceURLStatic

          protected static java.lang.String referenceEncodedInstanceURLStatic

    - #### alternateContentDescriptionStatic

          protected static java.lang.String[] alternateContentDescriptionStatic

    - #### alternateContentLanguageCodeValueStatic

          protected static java.lang.String[] alternateContentLanguageCodeValueStatic

    - #### alternateContentLanguageCodeMeaningStatic

          protected static java.lang.String[] alternateContentLanguageCodeMeaningStatic

    - #### redStaticArray

          protected static byte[] redStaticArray

    - #### greenStaticArray

          protected static byte[] greenStaticArray

    - #### blueStaticArray

          protected static byte[] blueStaticArray

  - ### Constructor Detail

    - #### ColorPalettePET

          public ColorPalettePET()

  - ### Method Detail

    - #### main

          public static void main(java.lang.String[] arg)

      Create a DICOM color palette storage instance from the palette characteristics.

      Parameters:
        `arg` - one or two arguments, the name of the DICOM file to write, and optionally the name of a file containing the ICC profile to include